
package b4a.HC05DataLogger;

import anywheresoftware.b4a.pc.PCBA;
import anywheresoftware.b4a.pc.RemoteObject;

public class bluetoothasynchstream {
    public static RemoteObject myClass;
	public bluetoothasynchstream() {
	}
    public static PCBA staticBA = new PCBA(null, bluetoothasynchstream.class);

public static RemoteObject __c = RemoteObject.declareNull("anywheresoftware.b4a.keywords.Common");
public static RemoteObject _admin = RemoteObject.declareNull("anywheresoftware.b4a.objects.Serial.BluetoothAdmin");
public static RemoteObject _astreams = RemoteObject.declareNull("anywheresoftware.b4a.randomaccessfile.AsyncStreams");
public static RemoteObject _serial = RemoteObject.declareNull("anywheresoftware.b4a.objects.Serial");
public static RemoteObject _ph = RemoteObject.declareNull("anywheresoftware.b4a.phone.Phone");
public static RemoteObject _mparent = RemoteObject.declareNull("Object");
public static RemoteObject _meventname = RemoteObject.createImmutable("");
public static RemoteObject _lblstatus = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
public static RemoteObject _progressbar1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.ProgressBarWrapper");
public static RemoteObject _genericdevicename = RemoteObject.createImmutable("");
public static RemoteObject _devicename = RemoteObject.createImmutable("");
public static RemoteObject _bluetoothstate = RemoteObject.createImmutable(false);
public static RemoteObject _connectionstate = RemoteObject.createImmutable(false);
public static RemoteObject _devicefound = RemoteObject.createImmutable(false);
public static RemoteObject _devicemacadress = RemoteObject.createImmutable("");
public static RemoteObject _charset = RemoteObject.createImmutable("");
public static RemoteObject _sb = RemoteObject.declareNull("anywheresoftware.b4a.keywords.StringBuilderWrapper");
public static RemoteObject _state = RemoteObject.createImmutable("");
public static b4a.HC05DataLogger.main _main = null;
public static b4a.HC05DataLogger.starter _starter = null;
public static Object[] GetGlobals(RemoteObject _ref) throws Exception {
		return new Object[] {"Admin",_ref.getField(false, "_admin"),"Astreams",_ref.getField(false, "_astreams"),"BluetoothState",_ref.getField(false, "_bluetoothstate"),"CharSet",_ref.getField(false, "_charset"),"ConnectionState",_ref.getField(false, "_connectionstate"),"DeviceFound",_ref.getField(false, "_devicefound"),"DeviceMacAdress",_ref.getField(false, "_devicemacadress"),"DeviceName",_ref.getField(false, "_devicename"),"GenericDeviceName",_ref.getField(false, "_genericdevicename"),"lblStatus",_ref.getField(false, "_lblstatus"),"mEventName",_ref.getField(false, "_meventname"),"mParent",_ref.getField(false, "_mparent"),"PH",_ref.getField(false, "_ph"),"ProgressBar1",_ref.getField(false, "_progressbar1"),"sb",_ref.getField(false, "_sb"),"Serial",_ref.getField(false, "_serial"),"State",_ref.getField(false, "_state")};
}
}